#include <iostream>
#include <bits/stdc++.h>
using namespace std;

vector<int> knjige;
vector<int> knjige1;
int main() {
  int n;
  int a;
  cin>>n;
  int i2;
  int i1;
  int s=0;
  int p;

  for(int i=0;i<n;i++){
    cin>>a;
    knjige.push_back(a);
    knjige1.push_back(a);
  }
  i1 = *max_element(knjige.begin(), knjige.end());
  
  if(n==2){
    int prva = knjige[0];
    knjige[0]=knjige[1];
    knjige[1]= prva;
  }
  
  else{
    for(int k = 0;k<n;k++){
        if(knjige[k]==i1){
          s = s+1;
          i2= *max_element(knjige.begin()+s,knjige.end());  
          p = (max_element(knjige.begin()+s,knjige.end()) - knjige.begin()-s)+s;
          i1 = i2;
        }
        else{
          int hp=knjige[k];
          knjige[k]=knjige[p];
          knjige[p]=hp;
          break;
        }
    }
}
if(knjige==knjige1){
  int y=knjige[n-1];
  knjige[n-1]=knjige[n-2];
  knjige[n-2]=y;

}
int sz = knjige.size();
for(int i=0; i < sz; i++)
  {
    cout << knjige[i] << ' ';
  }
return 0; 
}